Skip to main content

General Concepts

Base URL​

All API requests should be made to the following URL:

https://api.vaunt.dev

URL Parameters​

ParameterTypeRequiredDescription
providerstringYesThe platform provider. For now, we only support Github
namestringYesName of entity to look up (e.g., GitHub username)
repo_namestringNoName of specific repository to look up

Common Query Parameters​

Unless otherwise stated, these query parameters are available on most endpoints:

ParameterTypeRequiredDefaultMaxDescription
limitintegerNo1100Maximum number of items to return in a single response
afterstringNo--Cursor value for pagination — retrieves items older than (or created before) this cursor
beforestringNo--Cursor value for pagination — retrieves items newer than (or created after) this cursor
formatstringNojson-Determines the response's format. Can either be json or svg

Response Format​

Unless specified otherwise, our API responses usually return data in the following format:

FieldTypeDescription
meta_dataobjectMetadata about the response. Learn more on our Objects Page.
dataarrayArray of either Entity Details Objects, Contributors Details Object, Achievement Awarded Object, Key Object, or Repository Details Object
previous_cursorstringCursor value for retrieving the previous page of results
next_cursorstringCursor value for retrieving the next page of results

Example Response Format​

{
"meta_data": {
"count": 1,
"data_type": 1
},
"data": [...], // The actual data returned, structure may vary by endpoint
"previous_cursor": "MjAyNC0wNy0wOSAyMTowNDowNiArMDAwMCBVVEMvYTExNzE0ZWYtODZmZS00YmQyLWE4ODktYTg3YmFlNjYxZDY3",
"next_cursor": "MjAyNC0wNy0wOSAyMTowNDowNiArMDAwMCBVVEMvYTExNzE0ZWYtODZmZS00YmQyLWE4ODktYTg3YmFlNjYxZDY3"
}

Pagination​

Vaunt uses UUIDs when storing objects. For pagination, we use a composite UUID and CreatedDTTM to create a base64 encoded Cursor.

The following is an example base64(uuid + / + createddttm).

When making API requests, we support forward/backward operations.

API endpoint requests yield a next_cursor denoting the last retrieved object and a previous_cursor denoting the first object.

The query parameter after returns data after than the supplied cursor, while the query parameter before returns data before than the supplied cursor.

Limits​

All API routes enforce a max limit of 100 records.

Caching​

Caching is currently handled internally, we will be working on exposing cache control methods for API routes in the future.